# Get Project

**Step1: Prepare Your Request**

* **Endpoint:** `/project/:projectId`
* **Method:** `GET`
* **URL:** `https://api.talkstackai.com/project/:projectId`
* **Headers:** Include `Content-Type: application/json`.
* **Authorization:** Bearer token or x-api-key in Headers

**Step 2: Send the Request**

Use your preferred HTTP client to send the GET request.

**Step 3: Handle the request**

The response will provide a detailed list of projects created by logged in user.

**Success Response:**

* **Status Code:** `200 OK`
* **Body:**

```json
{
    "message": "successfully fetched project data.",
    "status": "succcess",
    "data": {
        "name": "John Smith Clinic",
        "user_id": "xxxxxxxxxxxxxxxxxxxxxxxxxx",
        "status": "ACTIVE",
        "description": "",
        "is_deleted": false,
        "call_status_webhook": null,
        "id": "xxxxxxxxxxxxxxxxxxxxxxxxx",
        "active_agent": null,
        "created_at": null,
        "updated_at": null
    }
}
```

**Troubleshooting**

* `401 Unauthorized`: If the user is unauthorized or the token is missing.
* `400 Bad Request`: If the project does not exist.
* `500 Internal Server Error`: For errors in getting project data.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.talkstack.ai/project/get-project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
